# -*- coding: utf-8 -*-

from typing import Callable, Optional

from fastapi import FastAPI

from app.controllers.events import load_q_learning_model


def create_start_app_handler(app: Optional[FastAPI] = None) -> Callable:
    async def start_app() -> None:
        await load_q_learning_model()

    return start_app
